Name:           perl-Math-Random-ISAAC
Version:        1.004
Release:        13%{?dist}
Summary:        Perl interface to the ISAAC PRNG algorithm
License:        MIT or GPL+ or Artistic

URL:            http://search.cpan.org/dist/Math-Random-ISAAC/
Source0:        http://www.cpan.org/authors/id/J/JA/JAWNSY/Math-Random-ISAAC-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::LeakTrace)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::NoWarnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
As with other Pseudo-Random Number Generator (PRNG) algorithms like the
Mersenne Twister (see Math::Random::MT), this algorithm is designed to take
some seed information and produce seemingly random results as output.

%prep
%setup -q -n Math-Random-ISAAC-%{version}
sed -i 's/\r//' examples/*.pl


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes examples README
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Sep 21 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 1.004-13
- Only use %%license when it exists

* Fri Sep 12 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 1.004-12
- Fix a changelog entry date (thanks to Xavier Bachelot)
- Use %%license
- Clean up spec file

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.004-11
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.004-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.004-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 26 2013 Petr Pisar <ppisar@redhat.com> - 1.004-8
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.004-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.004-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 19 2012 Petr Pisar <ppisar@redhat.com> - 1.004-5
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.004-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jun 19 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.004-3
- Perl mass rebuild

* Fri Feb 25 2011 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 1.004-2
- Bump the release number.

* Sun Feb 20 2011 Emmanuel Seyman <emmanuel.seyman@club-internet.fr> 1.004-1
- Specfile autogenerated by cpanspec 1.78.
